Subject: 27.0.50; More helpful error message for unescaped character literals

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 01 Jun 2018 12:18:30 +0200

A reddit user noted these messages popping up when starting Emacs

Loading ‘~/.emacs.d/init’: unescaped character literals `?[', `?]' detected!

and wondered what to do about it.  Perhaps it would be a good idea to
just say something like

unescaped character literals `?[', `?]' detected, `?\[', `?\]' expected

or something along those lines?  For Emacs 26.2.

In GNU Emacs 27.0.50 (build 20, x86_64-pc-linux-gnu, GTK+ Version 3.22.11)
 of 2018-05-19 built on stories
Repository revision: f4d9fd3dd45f767eca33fbf1beee40da790fa74e
Windowing system distributor 'The X.Org Foundation', version 11.0.11902000
System Description: Debian GNU/Linux 9 (stretch)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no